body {
    font-family: 'Electrolize', sans-serif;
    font-size: 18px;
}

h1 {
    text-align: center;
    color: yellow;
    font-size: 36px;
    margin: 0;
    padding: 0;
}

#board {
    position: relative;
    background: linear-gradient(to bottom, #C3E5E5, #0D3F53);
    overflow: hidden;
    border-radius: 10px;
    margin: 0 auto;
}
#sky {
    background-color: #C3E5E5;
    width: 100%;
}

.infos {
    position: absolute;
    top: 8px;
    left: 8px;
}

/* The Submarin */

#submarin {
    position: absolute;
    transform-origin: top left;
    animation: intro 2000ms ease-out;
}

@keyframes intro {
	0% {
        bottom: 350px; 
        left: -200px;
	}
    40% {
        bottom: 350px; 
	}
    70% {
        transform: rotate(20deg);
    }
    100% {
        bottom: 250px; 
        left: 250px;
        transform: rotate(0);
	}
}

#submarinBody {
    background-color: yellow;
    width: 110px;
    height: 60px;
    border-radius: 70px 40px 40px 70px / 30px  30px 30px 30px;
    position: relative;
    animation: diving 3s ease-in-out infinite;
}

@keyframes diving {
	0% {
         transform:rotate(0deg) translate(0); 
	}
    50% {
         transform:rotate(3deg) translate(2px);
	}
    75% {
        transform:rotate(-2deg);
	}
    100% {
        transform:rotate(0deg) translate(0); 
	}
}

.windows {
    background-color: #23586d;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    position: absolute;
    top: 22px;
}

.windows:nth-child(1){
    left:24px;
}

.windows:nth-child(2){
    left:49px;
}

.windows:nth-child(3){
    left:74px;
}

#submarin.danger #submarinBody,
#submarin.danger .periscope,
#submarin.danger .periscope:before,
#submarin.danger .periscope:after,
#submarin.danger .helix {
    animation: clignote 200ms ease-in-out;
}

@keyframes clignote {
    0%   { background-color: #ff5e00; }
    25%   { background-color: yellow; }
    35%   { background-color: #ff5e00; }
    60%   { background-color: yellow; }
    70%   { background-color: #ff5e00; }
}

.periscope {
    background-color: yellow;
    height: 15px;
    width: 30px;
    border-radius: 10px 10px 0px 0px / 5px  5px 0px 0px;
    position: absolute;
    left: 45px;
    top: -10px;
}
.periscope:before {
    content: "";
    position: absolute;
    left: 13px;
    top: -9px;
    width: 5px;
    height: 10px;
    background-color: yellow;
}
.periscope:after {
    content: "";
    position: absolute;
    left: 13px;
    top: -12px;
    width: 10px;
    height: 5px;
    border-top-left-radius: 50%;
    background-color: yellow;
}

.helix {
    width: 18px;
    height: 36px;
    border-radius: 6px;
    background-color: yellow;
    position: absolute;
    left: -16px;
    top: 12px;
}

.helix:after {
    content: "";
    position: absolute;
    left: 2px;
    top: 1px;
    width: 14px;
    height: 1px;
    background: #23586d;
    animation: helix-mvt 100ms ease-in-out infinite;
}

@keyframes helix-mvt {
    100% {
        top: 33px;
    }
}

.bubbles {
    position: absolute;
    border-radius: 50%;
    opacity: 0;
    left: 0;
    top: 15px;
    background-color: #C3E5E5;
    border: 1px solid #a3c9c9;
    animation: bubbles 600ms ease-in infinite;
}

.bubbles:nth-child(1){
    width: 8px;
    height: 8px;
}

.bubbles:nth-child(2){
    width: 4px;
    height: 4px;
    animation-delay: 150ms;
}

.bubbles:nth-child(3){
    width: 10px;
    height: 10px;
    animation-delay: 300ms;    
}

.bubbles:nth-child(4){
    width: 8px;
    height: 8px;
    animation-delay: 450ms;    
}

@keyframes bubbles {
    30% {
        opacity: 1;
        top: 20px;
    }
    50% {
        top: -10px;
	}
    100% {
        left: -500px;
        top: -100px;
   }
}

/* The Squids */
.squid-body {
    height: 40px;
    width: 35px;
    border-radius: 25px 4px 4px 25px / 20px  10px 10px 20px;
    background-color: #ff4800;
    animation: squidhead 600ms ease-in-out infinite;
}
@keyframes squidhead {
	0% {
         width: 35px;
         height:40px;
	}
    75% {
         width: 45px;
         height: 36px;
	}
    0% {
        width: 35px;
        height: 40px;
   }
}
.squid-legs {
    position: absolute;
    right: -2px;
    width: 25px;
    height: 6px;
    border-radius: 3px;
    background-color: #ff4800;
    animation: squidlegs 600ms ease-in-out infinite;
}
.squid-legs:before {
    content: "";
    position: absolute;
    top: -10px;
    left: -3px;
    width: 25px;
    height: 6px;
    border-radius: 3px;
    transform: rotate(-25deg);
    background-color: #ff4800;
    animation: tentacule1 600ms ease-in-out infinite;
}
.squid-legs:after {
    content: "";
    position: absolute;
    top: 10px;
    left: -3px;
    width: 25px;
    height: 6px;
    border-radius: 3px;
    transform: rotate(25deg);
    background-color: #ff4800;
    animation: tentacule2 600ms ease-in-out infinite;
}

@keyframes squidlegs {
	0% {
        right: -2px;
	}
    75% {
        right: -12px;
	}
    0% {
        right: -2px;
   }
}

@keyframes tentacule1 {
	0% {
        transform: rotate(-25deg);
	}
    75% {
        transform: rotate(-35deg);
	}
    0% {
        transform: rotate(-25deg);
   }
}
@keyframes tentacule2 {
	0% {
        transform: rotate(25deg);
	}
    75% {
        transform: rotate(35deg);
	}
    0% {
        transform: rotate(25deg);
   }
}

/* Gold Coin */

.coin {
    border-radius: 50%;
    background-color: #c29e00;
    transition: transform 0.5s;
    position: absolute;
    top: 0;
    width:20px;
    height: 20px;
    text-align: center;
    color: gold;
    border: 1px solid gold;
}

.gold.animated .coin {
    animation: cling 1s;
    animation-fill-mode: forwards;
}

@keyframes cling {
    from {
        top: 0px;
        transform: scale(1);
    }
    10% {
        transform: rotate3d(0, 1, 0, 180deg);
    }
    30% {
        transform: rotate3d(0, 1, 0, 180deg);
    }
    to {
        top: -100px;
        transform: scale(0);
        opacity: 0;
    }
}